from django.urls import path
from . import views
from .views import (
    PostDetailView,
    PostDeleteView,
    PostListView,
    PostCreateView,
    PostUpdateView,
    saved_posts,
    PostLikeToggle,
)

urlpatterns = [
    #path('trippin_post/', views.trippin_post, name='trippin_post'),
    #path('post_list/', views.post_list, name='post_list'),
    path('', views.login_user, name='login_user'),
    path('submit', views.submit_login, name='submit_login'),
    #path('post_list/delete/<process_id>', views.delete_post),
    path("logout", views.logout_request, name="logout"),
    path("register_human_user", views.register_human_user, name="register_human_user"),
    path("register_hotel_user", views.register_hotel_user, name="register_hotel_user"),
    path("register_restaurant_user", views.register_restaurant_user, name="register_restaurant_user"),
    path("register_attraction_user", views.register_attraction_user, name="register_attraction_user"),
    path("page_hotel/", views.page_hotel, name="page_hotel"),
    path("init_page/", views.init_page, name="init_page"),
    path("page_restaurant/", views.page_restaurant, name="page_restaurant"),
    path("page_attractions/", views.page_attractions, name="page_attractions"),
    path("human_user", views.human_user, name="human_user"),
    path('post_list', PostListView.as_view(), name='post_list'),
    path('details/<int:id>',views.PostDetailView, name='post_detail'),
    path('trippin_post', PostCreateView.as_view(), name='trippin_post'),
    path('<int:id>/update/', PostUpdateView.as_view(), name='post_update'),
    path('<int:id>/delete/', PostDeleteView.as_view(), name='post_delete'),
    path('<int:id>/likes/', PostLikeToggle.as_view(), name='like_toggle'),
    path('saved/', saved_posts, name='saved_posts'),
    path('page_hotel/profile/<username>', views.get_user_profile),
    path('page_restaurant/profile/<username>', views.get_user_profile),
    path('page_attractions/profile/<username>', views.get_user_profile),
    path('profile/<username>', views.get_user_profile),
]